Robot Simulator of the Robotics Group for Self-Organization of Control: MeshGround Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MeshGround Class Reference

`#include <meshground.h>`

Inherits AbstractObstacle.

Inheritance diagram for MeshGround:

[legend]
Collaboration diagram for MeshGround:

[legend]
List of all members.

## Public Member Functions
| MeshGround (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const std::string &filename, const std::string &texture, double x_size, double y_size, double height, OSGHeightField::CodingMode coding=OSGHeightField::Red)
| Constructor.
virtual void | update ()
| updates the position of the geoms ( not nessary for static objects)
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
## Protected Member Functions
virtual void | create ()
| overload this function to create the obstactle. All primitives should go into the list "obst"
virtual void | destroy ()
| is called to destroy the object. The default implementation is to delete all primitives in "obst".
## Protected Attributes
std::string | filename
std::string | texture
HeightField * | heightfield
double | x_size
double | y_size
double | height
OSGHeightField::CodingMode | coding

## Constructor & Destructor Documentation

MeshGround | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const std::string & | filename,
|  | const std::string & | texture,
|  | double | x_size,
|  | double | y_size,
|  | double | height,
|  | OSGHeightField::CodingMode | coding = `OSGHeightField::Red` |
| ) |  |  |

Constructor.

Parameters:

  | odeHandle |
  | osgHandle |
  | filename | name of the file to load. If ending is .ppm then it is considered as a bitmap height file. The coding mode is used to decode the heights. Otherwise it is consider to be a OSG HeightFieldFile
  | texture | image filename for the texture
  | x_size | size in x direction in world coordinates
  | y_size | size in y direction in world coordinates
  | height | height in world coordinates
  | coding | Coding mode, see OSGHeightField (this an own class, not in OSG)

## Member Function Documentation

void create | ( |  | ) | `[protected, virtual]`

overload this function to create the obstactle. All primitives should go into the list "obst"

Implements AbstractObstacle.

void destroy | ( |  | ) | `[protected, virtual]`

is called to destroy the object. The default implementation is to delete all primitives in "obst".

Reimplemented from AbstractObstacle.

void setPose | ( | const osg::Matrix & | pose | ) | `[virtual]`

sets position of the obstacle and creates/recreates obstacle if necessary

Implements AbstractObstacle.

virtual void update | ( |  | ) | `[inline, virtual]`

updates the position of the geoms ( not nessary for static objects)

Reimplemented from AbstractObstacle.

## Member Data Documentation

OSGHeightField::CodingMode coding`[protected]`

std::string filename`[protected]`

double height`[protected]`

HeightField* heightfield`[protected]`

std::string texture`[protected]`

double x_size`[protected]`

double y_size`[protected]`

The documentation for this class was generated from the following files:

- meshground.h
- meshground.cpp